Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Auto_Command< COMMAND > Class Reference

Utility class which executes COMMAND in its destructor. More...

`#include <EC_Lifetime_Utils_T.h>`

## Detailed Description

Utility class which executes COMMAND in its destructor.

Template argument requirements:

Has void execute (ACE_ENV_SINGLE_ARG_DECL); method which can throw ONLY CORBA exceptions. Has default and copy constructors.

The documentation for this class was generated from the following file:

- EC_Lifetime_Utils_T.h